<!DOCTYPE html>

<!-- mint green #74ebd5 to lilac #ACB6E5 -->
<!-- light lilac #c9d6ff to deep indigo #5B86E5 -->

<html>
<head>
    <link href="https://fonts.googleapis.com/css?family=Shrikhand" rel="stylesheet">
    <meta charset="utf-8" />
    <title>ChillGame</title>
    <style>
    	* { padding: 0; margin: 0; }
    	canvas {background: linear-gradient(to bottom, #ff9068, #fd746c); display: block; margin: 0 auto;}
    </style>
</head>
<body>

<canvas id="myCanvas" width="480" height="700" style="font-family: 'Shrikhand', cursive; font-size: 30px;"></canvas>

<script>
    
let canvas = document.getElementById("myCanvas");
let ctx = canvas.getContext("2d");


function resize() {
    let width;
    let height;
    
    if (window.innerHeight > window.innerWidth){
        let ratio = 1334/750;
        width = window.innerWidth;
        height = width*ratio;
        console.log("portrait screen");
    }
    else{
        let ratio = 1.618;
        canvas.style.marginBottom = "50px";
        canvas.style.marginTop = "50px";
        height = window.innerHeight - 100;
        width = height/ratio;
        console.log("landscape screen");
    }
    
	canvas.style.width = width+'px';
	canvas.style.height = height+'px';
}

window.addEventListener('load', resize, false);
window.addEventListener('resize', resize, false);
canvas.addEventListener("mousemove", onMouseMove, false);
canvas.addEventListener("click", onClick, false);

// Link variables to be defined and accessed in multiple functions:
let linkText = "Play!";
let linkLocation = "file:///Users/powella/ubuntu/shared/Accelerator-git-repo/Game/chillgame.html";
let linkX;
let linkY;
let linkHeight;
let linkWidth;
let inLink = false;

function onMouseMove (ev) {
  var x, y;

  // Get the mouse position relative to the canvas element:
  if (ev.layerX || ev.layerX == 0) { //for firefox
    x = ev.layerX;
    y = ev.layerY;
  }

  // Check if mouse is hovering over link:
  if(x >= linkX && x <= (linkX + linkWidth) && y<=linkY && y>= (linkY-linkHeight)){
      console.log('in link area');
      document.body.style.cursor = "pointer";
      inLink=true;
  }
  else{
      document.body.style.cursor = "";
      inLink=false;
  }
}

// If the link has been clicked, go to link:
function onClick(e) {
    console.log('click');
    if (inLink){
        console.log('clicked on link');
        window.location = linkLocation;
    }
}

// Shadow variables for the text:
ctx.shadowOffsetX = 3;
ctx.shadowOffsetY = 3;
ctx.shadowColor = "rgba(0,0,0,0.3)";
ctx.shadowBlur = 4;

// Draw the main title, calculate positioning
function drawTitle(){
    ctx.font = "80px Shrikhand";
    let x0 = canvas.width/2-ctx.measureText("ChillGame").width/2;
    let y0 = canvas.height/2;
    let height = parseInt(ctx.font);
    ctx.fillStyle = "#c9d6ff";
    ctx.fillText("ChillGame", x0, y0);
};

// Draw the link, calculate desired position and dimensions
function drawLink() {
    ctx.font = "40px Shrikhand";
    ctx.fillStyle = "#c9d6ff";
    linkWidth = ctx.measureText(linkText).width;
    linkHeight = parseInt(ctx.font);
    linkX = (canvas.width-linkWidth)/2;
    linkY = (canvas.height-linkHeight)/2 + 200;
    ctx.fillText(linkText,linkX,linkY);
}

function draw() {
    ctx.clearRect(0, 0, canvas.width, canvas.height);
    drawTitle();
    drawLink();

}

setInterval(draw,20)
draw();

</script>

</body>
</html>
